## qt-avif-image-plugin 0.5.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(qt-avif-image-plugin)

include(FeatureSummary)
find_package(ECM 5.89.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(CheckIncludeFiles)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(libavif 0.8.2 CONFIG)
if (TARGET avif)
  MESSAGE(STATUS "libavif found - we will use dynamic linking")
  set(BUILD_QAVIF_DYNAMIC TRUE)
else()
  MESSAGE(STATUS "libavif not found! Searching for local build.")
  set(BUILD_QAVIF_DYNAMIC FALSE)
  if(NOT EXISTS "${CMAKE_SOURCE_DIR}/ext/libavif/build/libavif.a")
    message(FATAL_ERROR "libavif.a not found, run ${CMAKE_SOURCE_DIR}/ext/build_local_libaom_libavif.sh")
  endif()
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qt-avif-image-plugin (0.5.1+dfsg-2) unstable; urgency=high

  * Ship kservices5 files as example files; do not install them
    into system to avoid file conflict with kimageformat-plugins.
    (Closes: #1030533)
  * debian/control: Mention kimageformat-plugins in the description.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Feb 2023 13:20:20 -0500

qt-avif-image-plugin (0.5.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1029796)

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 17:07:41 -0500

=== debian/control ===
Source: qt-avif-image-plugin
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.16),
 debhelper-compat (= 13),
 extra-cmake-modules,
 qtbase5-dev,
 libavif-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/novomesk/qt-avif-image-plugin
Vcs-Git: https://salsa.debian.org/multimedia-team/qt-avif-image-plugin.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qt-avif-image-plugin

Package: qt5-avif-image-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Qt plug-in to read/write AVIF images (Qt5 plugin)
 Qt plug-in to allow Qt and KDE based applications to read/write
 AVIF images.
 .
 Similar functionality is also provided in package kimageformat-plugins
 as part of KDE. General users should consider using KDE-provided
 plugin instead.
 .
 This package provides support for Qt5-based applications.

## qt-avif-image-plugin 0.7.1%2Bdfsg

=== debian/changelog ===
qt-avif-image-plugin (0.7.1+dfsg-1~mx23) mx; urgency=medium

  * Backport for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 28 Mar 2024 22:05:58 -0400

qt-avif-image-plugin (0.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 11:15:00 -0500

qt-avif-image-plugin (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Add compatibility with libavif 1.0.x.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Sep 2023 16:06:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt-avif-image-plugin
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.16),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@ --buildsystem=cmake

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qt-avif-image-plugin 0.7.1+dfsg

=== debian/changelog ===
qt-avif-image-plugin (0.7.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:32:23 +1100

qt-avif-image-plugin (0.7.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:44:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qt-avif-image-plugin
 Section: graphics
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,3 @@
 
 %:
 	dh $@ --buildsystem=cmake
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/novomesk/qt-avif-image-plugin/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## qt-avif-image-plugin 0.8.2+dfsg

=== debian/changelog ===
qt-avif-image-plugin (0.8.2+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Orphan the package. (See #1067899)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Mar 2024 12:04:57 -0400

## qt-avif-image-plugin 0.8.3

=== debian/changelog ===
qt-avif-image-plugin (0.8.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 May 2024 10:15:57 -0400

=== debian/control ===
Source: qt-avif-image-plugin
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake (>= 3.16),
 debhelper-compat (= 13),
 extra-cmake-modules,
 qtbase5-dev,
 libavif-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/novomesk/qt-avif-image-plugin
Vcs-Git: https://salsa.debian.org/debian/qt-avif-image-plugin.git
Vcs-Browser: https://salsa.debian.org/debian/qt-avif-image-plugin
Description: Qt plug-in to read/write AVIF images
 Qt plug-in to allow Qt and KDE based applications to read/write
 AVIF images.
 .
 Similar functionality is also provided in package kimageformat-plugins
 as part of KDE. General users should consider using KDE-provided
 plugin instead.

Package: qt5-avif-image-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (Qt5 plugin)
 ${source:Extended-Description}
 .
 This package provides support for Qt5-based applications.

## qt-avif-image-plugin 0.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,10 @@
 set(REQUIRED_QT_VERSION 5.12.0)
 find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
-find_package(libavif 0.8.2 CONFIG)
+find_package(libavif 1.0.0 CONFIG QUIET)
+if(NOT libavif_FOUND)
+  find_package(libavif 0.8.2 CONFIG QUIET)
+endif()
 if (TARGET avif)
   MESSAGE(STATUS "libavif found - we will use dynamic linking")
   set(BUILD_QAVIF_DYNAMIC TRUE)

=== src/CMakeLists.txt ===
# NB: the desktop files are installed for the benefit of KImageIO in KDELibs4Support.

##################################

function(kimageformats_add_plugin plugin)
    set(options)
    set(multiValueArgs SOURCES)
    cmake_parse_arguments(KIF_ADD_PLUGIN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if(NOT KIF_ADD_PLUGIN_SOURCES)
        message(FATAL_ERROR "kimageformats_add_plugin called without SOURCES parameter")
    endif()

    add_library(${plugin} MODULE ${KIF_ADD_PLUGIN_SOURCES})
    set_target_properties(${plugin} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/imageformats")
    target_link_libraries(${plugin} Qt${QT_MAJOR_VERSION}::Gui)
    install(TARGETS ${plugin} DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/imageformats)
endfunction()

##################################

kimageformats_add_plugin("libqavif${QT_MAJOR_VERSION}" SOURCES "main.cpp" "qavifhandler.cpp")

if(BUILD_QAVIF_DYNAMIC)
  target_link_libraries("libqavif${QT_MAJOR_VERSION}" "avif")
else()
  target_include_directories("libqavif${QT_MAJOR_VERSION}" BEFORE PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/ext/libavif/include>)
  target_link_libraries("libqavif${QT_MAJOR_VERSION}" "${CMAKE_SOURCE_DIR}/ext/libavif/build/libavif.a" "${CMAKE_SOURCE_DIR}/ext/libavif/ext/aom/build.libavif/libaom.a" "pthread")
endif()

#install(FILES "${CMAKE_SOURCE_DIR}/share/kservices5/qimageioplugins/avif.desktop" "${CMAKE_SOURCE_DIR}/share/kservices5/qimageioplugins/avifs.desktop" DESTINATION ${KDE_INSTALL_KSERVICESDIR}/qimageioplugins/)

##################################

=== debian/changelog ===
qt-avif-image-plugin (0.8.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + Support libavif 1.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Jul 2024 12:11:58 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qtbase5-dev,
  libavif-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/novomesk/qt-avif-image-plugin
 Vcs-Git: https://salsa.debian.org/debian/qt-avif-image-plugin.git
 Vcs-Browser: https://salsa.debian.org/debian/qt-avif-image-plugin
